Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.nds
Interface NdsNCPServer

public interface NdsNCPServer
extends NdsObject

Defines NDS servers that provide NCP transport and session services.

Individual services on an NCP server do not need distinct Directory names, since they can all share a common NCP session. However, individual resources on a server may require distinct Directory entries. The NDS NCP Server schema class is intended to represent both bindery-based and NDS-based NCP servers.

See Also:
  `NdsObject`

Fields inherited from class javax.naming.directory.DirContext
`ADD_ATTRIBUTE, REMOVE_ATTRIBUTE, REPLACE_ATTRIBUTE`

Fields inherited from class javax.naming.Context
`APPLET, AUTHORITATIVE, BATCHSIZE, DNS_URL, INITIAL_CONTEXT_FACTORY, LANGUAGE, OBJECT_FACTORIES, PROVIDER_URL, REFERRAL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, STATE_FACTORIES, URL_PKG_PREFIXES`

Method Summary
`java.util.Date` | `getUTCTime()` Returns the Universal Time Coordinated (UTC) setting of a server.
`java.util.Enumeration` | `listPartitions()` Provides a list of replica partition names stored on this NCP server.
`void` | `reloadDS()` Requests the server to unload and then load the DS NLM.

Methods inherited from interface com.novell.service.nds.NdsObject
`getAttributeEffectiveRights, getAttributeEffectiveRights, getAttributeEffectiveRights, getAttributeEffectiveRights, getAttributesEffectiveRights, getAttributesEffectiveRights, getBaseClass, getDistinguishedName, getModificationTime, getObjectEffectiveRights, getObjectEffectiveRights, getObjectFlags, getSubordinateCount, getTreeName, list, list, listBindings, listBindings`

Methods inherited from interface javax.naming.directory.DirContext
`bind, bind, createSubcontext, createSubcontext, getAttributes, getAttributes, getAttributes, getAttributes, getSchema, getSchema, getSchemaClassDefinition, getSchemaClassDefinition, modifyAttributes, modifyAttributes, modifyAttributes, modifyAttributes, rebind, rebind, search, search, search, search, search, search, search, search`

Methods inherited from interface com.novell.service.nds.NdsIteratorFactory
`createIterator, createIterator, createIterator, createIterator, createIterator`

Methods inherited from interface javax.naming.Referenceable
`getReference`

Methods inherited from interface com.novell.service.nds.naming.Partitionable
`getPartition, getPartition, getPartitionRoot, getPartitionRoot`

Methods inherited from interface javax.naming.Context
`addToEnvironment, bind, bind, close, composeName, composeName, createSubcontext, createSubcontext, destroySubcontext, destroySubcontext, getEnvironment, getNameInNamespace, getNameParser, getNameParser, list, list, listBindings, listBindings, lookup, lookup, lookupLink, lookupLink, rebind, rebind, removeFromEnvironment, rename, rename, unbind, unbind`

Method Detail

### reloadDS

    public void reloadDS()
                  throws com.novell.service.jncp.NSIException

  Requests the server to unload and then load the DS NLM.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of XPlat libraries.

### listPartitions

    public java.util.Enumeration listPartitions()
                                         throws com.novell.service.jncp.NSIException

  Provides a list of replica partition names stored on this NCP server.
  Returns:
    An enumeration object containing a list of replica partition names stored on this NCP server.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of XPlat libraries.

### getUTCTime

    public java.util.Date getUTCTime()
                              throws com.novell.service.jncp.NSIException

  Returns the Universal Time Coordinated (UTC) setting of a server.
  Returns:
    A date object containing the UTC time server setting.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of XPlat libraries.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD